Get transaction by id
curl --request GET \
--url https://dev.api.withconvexity.com/v1/wallet/transaction/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.api.withconvexity.com/v1/wallet/transaction/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.api.withconvexity.com/v1/wallet/transaction/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Transaction retrieved",
"data": {
"id": "9a1b2c3d-4e5f-6071-8293-a4b5c6d7e8f9",
"type": "TRANSFER",
"chainType": "EVM",
"network": "MAINNET",
"chainId": 8453,
"signerType": "BUSINESS_HD",
"fromAddress": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F",
"addressIndex": 12,
"toAddress": "0x2222222222222222222222222222222222222222",
"amount": "150.00",
"valueUsd": "150.00",
"tokenAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"data": null,
"value": null,
"txHash": "0x9d8c7b6a5e4f3c2b1a0987654321fedcba9876543210abcdef1234567890abcd",
"status": "COMPLETED",
"gasUsed": "70152",
"feeWei": "12030000000000",
"explorerUrl": "https://basescan.org",
"explorerTxUrl": "https://basescan.org/tx/0x9d8c7b6a5e4f3c2b1a0987654321fedcba9876543210abcdef1234567890abcd",
"createdAt": "2026-07-03T08:14:02.771Z",
"updatedAt": "2026-07-03T08:14:09.010Z"
}
}Wallet
Get transaction by id
Fetches a single transaction record. This is the authoritative view of a transfer’s outcome: poll it after an async 202 (e.g. every 2-3s) until status is COMPLETED or FAILED, and use it to confirm any outcome webhook you receive. Requires wallet.transfer.read.
GET
/
v1
/
wallet
/
transaction
/
{id}
Get transaction by id
curl --request GET \
--url https://dev.api.withconvexity.com/v1/wallet/transaction/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.api.withconvexity.com/v1/wallet/transaction/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.api.withconvexity.com/v1/wallet/transaction/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Transaction retrieved",
"data": {
"id": "9a1b2c3d-4e5f-6071-8293-a4b5c6d7e8f9",
"type": "TRANSFER",
"chainType": "EVM",
"network": "MAINNET",
"chainId": 8453,
"signerType": "BUSINESS_HD",
"fromAddress": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F",
"addressIndex": 12,
"toAddress": "0x2222222222222222222222222222222222222222",
"amount": "150.00",
"valueUsd": "150.00",
"tokenAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"data": null,
"value": null,
"txHash": "0x9d8c7b6a5e4f3c2b1a0987654321fedcba9876543210abcdef1234567890abcd",
"status": "COMPLETED",
"gasUsed": "70152",
"feeWei": "12030000000000",
"explorerUrl": "https://basescan.org",
"explorerTxUrl": "https://basescan.org/tx/0x9d8c7b6a5e4f3c2b1a0987654321fedcba9876543210abcdef1234567890abcd",
"createdAt": "2026-07-03T08:14:02.771Z",
"updatedAt": "2026-07-03T08:14:09.010Z"
}
}